<?php
namespace Vimeo\Service\Media\Ingester;

use Vimeo\Media\Ingester\VimeoMediaIngester;
use Zend\ServiceManager\Factory\FactoryInterface;
use Interop\Container\ContainerInterface;

class VimeoMediaFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $services,
                             $requestedName,
                             array $options = null)
    {
        return new VimeoMediaIngester(
                          $services->get('Omeka\HttpClient'),
                          $services->get('Omeka\File\Downloader')
                    );
    }
}
